Skip to main content

Scene Classification

POST 

/api/v1/assets/:asset_id/addons/scene_classification

Classify scenes and environments in an image.

Request JSON

{
"disposition": {
"update_metadata": true
}
}
ParameterTypeDescription
dispositionJSON(optional) Indicates how analysed data must be disposed
disposition .update_metadataBooleantrue if Asset Metadata should be updated for reserved field _filespin_scene_labels. All labels will be updated as space separated strings into Asset metadata field.

Response JSON when is_synchronous is true

{
"data": [
{ "label": "amusement_park", "confidence": 0.637 },
{ "label": "tower", "confidence": 0.430 },
{ "label": "castle", "confidence": 0.297 }
]
}

Response JSON when is_synchronous is false

{
"job_id": "9172985e-a6f2-4bb7-abaa-9026fcabf297"
}
KeyValueDescription
job_idStringThe job ID to track the job

Request

Responses

Successful operation